# Webform MailerLite integration

## About

A simple webform handler to create a new Subscriber on a MailerLite account.
By default, the Subscribers do not belong to a MailerLite Group.
The module uses the official PHP library https://github.com/mailerlite/mailerlite-php.

## Installation

- Install this module
- Create a MailerLite account (https://www.mailerlite.com)
- Create a new MailerLite API key (https://developers.mailerlite.com/docs/#authentication)
- Add your key on Drupal settings (`$settings['mailerlite_key'] = "eyJ0eXA...iOiJKV";`)
- Create a MailerLite handler for a webform. Map the required `Email field` accordingly.

## Plan

- Create Subscribers on a specific Group
- Allow more actions for the Subscribers API (except from the "Subscriber:create")
as also as more API entities (Campaign, Group, Segment, Form etc)
- Add more data on the Subscriber. See https://developers.mailerlite.com/docs/subscribers.html#create-upsert-subscriber
- Provide more options to store the MailerLite key on Drupal.
